httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Steve Whitson <steven.whit...@gmail.com>
Subject Re: [users@httpd] mod_dbd & mod_dbd_authn - mysql user authentication problems - apache 2.2.9
Date Thu, 14 Aug 2008 14:00:49 GMT
Steve Whitson wrote:
> Danie Qian wrote:
>   
>> ----- Original Message ----- From: "Steve Whitson"
>> <steven.whitson@gmail.com>
>> To: <users@httpd.apache.org>
>> Sent: Monday, August 11, 2008 11:17 AM
>> Subject: Re: [users@httpd] mod_dbd & mod_dbd_authn - mysql user
>> authentication problems - apache 2.2.9
>>
>>
>>     
>>> Danie Qian wrote:
>>>       
>>>> ----- Original Message ----- From: "Steve Whitson"
>>>> <steven.whitson@gmail.com>
>>>> To: <users@httpd.apache.org>
>>>> Sent: Monday, August 11, 2008 9:24 AM
>>>> Subject: Re: [users@httpd] mod_dbd & mod_dbd_authn - mysql user
>>>> authentication problems - apache 2.2.9
>>>>
>>>>
>>>>         
>>>>> I've loaded all modules built when using -enable-mods-shared=most and
>>>>> still no luck (same error). Here's the list:
>>>>>
>>>>> ./httpd -t -D DUMP_MODULES
>>>>> Loaded Modules:
>>>>> core_module (static)
>>>>> mpm_prefork_module (static)
>>>>> http_module (static)
>>>>> so_module (static)
>>>>> authn_file_module (shared)
>>>>> authn_dbm_module (shared)
>>>>> authn_anon_module (shared)
>>>>> authn_dbd_module (shared)
>>>>> authn_default_module (shared)
>>>>> authz_host_module (shared)
>>>>> authz_groupfile_module (shared)
>>>>> authz_user_module (shared)
>>>>> authz_dbm_module (shared)
>>>>> authz_owner_module (shared)
>>>>> authz_default_module (shared)
>>>>> auth_basic_module (shared)
>>>>> auth_digest_module (shared)
>>>>> dbd_module (shared)
>>>>> dumpio_module (shared)
>>>>> ext_filter_module (shared)
>>>>> include_module (shared)
>>>>> filter_module (shared)
>>>>> substitute_module (shared)
>>>>> deflate_module (shared)
>>>>> log_config_module (shared)
>>>>> logio_module (shared)
>>>>> env_module (shared)
>>>>> expires_module (shared)
>>>>> headers_module (shared)
>>>>> ident_module (shared)
>>>>> setenvif_module (shared)
>>>>> mime_module (shared)
>>>>> dav_module (shared)
>>>>> status_module (shared)
>>>>> autoindex_module (shared)
>>>>> asis_module (shared)
>>>>> info_module (shared)
>>>>> cgi_module (shared)
>>>>> dav_fs_module (shared)
>>>>> vhost_alias_module (shared)
>>>>> negotiation_module (shared)
>>>>> dir_module (shared)
>>>>> imagemap_module (shared)
>>>>> actions_module (shared)
>>>>> speling_module (shared)
>>>>> userdir_module (shared)
>>>>> alias_module (shared)
>>>>> rewrite_module (shared)
>>>>> php5_module (shared)
>>>>> Syntax OK
>>>>>
>>>>>
>>>>> Danie Qian wrote:
>>>>>           
>>>>>> ----- Original Message ----- From: "Steve Whitson"
>>>>>> <steven.whitson@gmail.com>
>>>>>> To: <users@httpd.apache.org>
>>>>>> Sent: Thursday, August 07, 2008 3:53 PM
>>>>>> Subject: [users@httpd] mod_dbd & mod_dbd_authn - mysql user
>>>>>> authentication problems - apache 2.2.9
>>>>>>
>>>>>>
>>>>>>             
>>>>>>> Iím trying to use mod_dbd and mod_authn_dbd and replacements
for
>>>>>>> mod_auth_mysql within an apache 2.2.9 server I built on solaris.
>>>>>>>
>>>>>>> I configure up the database info as such:
>>>>>>>
>>>>>>> DBDriver mysql
>>>>>>> DBDParams "host=somehostname dbname=somedatabasename user=someuser
>>>>>>> pass=somepass"
>>>>>>> DBDMin 4
>>>>>>> DBDKeep 8
>>>>>>> DBDMax 20
>>>>>>> DBDExptime 300
>>>>>>>
>>>>>>> I have the typical root directory configuration for the htdocs
>>>>>>> folder:
>>>>>>>
>>>>>>> Options Indexes FollowSymLinks MultiViews
>>>>>>> AllowOverride All
>>>>>>> Order allow,deny
>>>>>>> Allow from all
>>>>>>>
>>>>>>> AuthType Basic
>>>>>>> AuthName "Website Mysql Userdb Verification"
>>>>>>> AuthBasicProvider dbd
>>>>>>>
>>>>>>> AuthDBDUserPWQuery "select password from users where name = %s"
>>>>>>>
>>>>>>> ...
>>>>>>> When I start the server I get the following error:
>>>>>>>
>>>>>>> [notice] Apache/2.2.9 (Unix) DAV/2 PHP/5.2.6 SVN/1.5.1 configured
--
>>>>>>> resuming normal operations
>>>>>>> [info] Server built: Aug 7 2008 11:06:05
>>>>>>> [debug] prefork.c(1001): AcceptMutex: fcntl (default: fcntl)
>>>>>>> [error] (20014)Internal error: DBD: failed to prepare SQL
>>>>>>> statements:
>>>>>>> Unknown command
>>>>>>> [error] (20014)Internal error: DBD: failed to initialise
>>>>>>>
>>>>>>> If I comment out the AuthDBDUserPWQuery entry, the DBD errors
donít
>>>>>>> occur.
>>>>>>>
>>>>>>> I also tried the entry
>>>>>>> DBDPrepareSQL "select password from users where name = %s" prepQuery
>>>>>>>
>>>>>>> I was thinking I could use the prepared query with
>>>>>>> AuthDBUserPWQuery.
>>>>>>> But, when only the DBDPrepareSQL is present (and not
>>>>>>> AuthDBuserPWQuery) apache still gives the same errors.
>>>>>>>
>>>>>>> Ideas? Is there something Iím dong wrong here?
>>>>>>>
>>>>>>> Thanks much,
>>>>>>>
>>>>>>> -Steve
>>>>>>>
>>>>>>>               
>>>>>> I have been using mod_dbd for authentication fine for over a year.
>>>>>> You
>>>>>> syntax looks the same as mine so I guess you might be missing some
>>>>>> modules. the whole setup is a bunch of modules/libraries stacked
>>>>>> together
>>>>>>
>>>>>>             
>>>> was mysql library installed when you built the httpd?
>>>>
>>>>         
>>> I got the error that the mysql library was missing a few days before. So
>>> (to fix that error) I found instructions, which informed me to go to the
>>> srclib/apr-util folder, where I built and installed while including the
>>> mysql driver. apr version 1.3.0 is what is included in httpd 2.2.9.
>>> After getting the noted error (my current problem), I tried building in
>>> apr & apr-util v1.3.2, no change.
>>>
>>>       
>> I am on httpd-2.2.6 where I had to download the mysql driver manually.
>> you are on httpd-2.2.9 so I believe you have it already built under
>> srclib/apr-util/dbd folder. But I read from some where on the apache
>> website that, when you build httpd-2.2.9 itself you need to add option
>> --with-mysql
>>
>>
>>     
> Yes! Exactly... and oddly enough the flag isn't recognized by the
> top-level configure script. I first built with this flag in the apr-util
> folder (following some instructions I found). Later I cleaned the httpd
> build and rebuild with that flag, and it did rebuild the mysql driver
> (which I verified apr_dbd_mysql file dates in install folders). The flag
> was properly passed on to the apr-util configuration.
>
>   
Well, I've settled with my older mod_auth_mysql solution along with
apache 2.0.63. My goal was to use subversion 1.5.1 with apache 2.2.x
along with the newer mysql access mechanisms for security (for both
subversion areas and other realms). I'll wait for another day & later
versions to try again...hoping things do get sorted out by then.

Thanks much for your feedback! :)
-Steve

Mime
View raw message